> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Presentation Templates



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/presentation-templates
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/presentation-templates:
    post:
      tags:
        - Presentation Templates
      summary: Create Presentation Templates
      operationId: PresentationTemplatesController_create_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePresentationTemplateDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    CreatePresentationTemplateDto:
      type: object
      properties:
        title:
          type: string
          minLength: 1
          maxLength: 255
        description:
          anyOf:
            - type: string
              maxLength: 1000
            - type: 'null'
        document:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        fromPresentationId:
          type: string
          pattern: ^[1-9]\d{0,18}$
      required:
        - title
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.